Compiler un module PECL en paquet Debian

Voici la procédure pour générer un .deb à partir d’un .tar.gz PECL de la façon la plus simple qui soit. On aura besoin d’utiliser dh-make-pecl pour générer le répertoire debian : apt-get install dh-make-php php5-dev ubuntu-dev-tools build-essential On choisit le nom et l’adresse mail du mainteneur du paquet export DEBFULLNAME="Valerian Beaudoin" export DEBEMAIL="mail@domaine.com" On télécharge […]

Réparer DPKG/APT quand rien ne va plus

J’ai récemment eu les erreurs suivantes : Pour résoudre l’erreur suivante : dpkg: regarding …/libgcc1_1%3a4.7.2-5_amd64.deb containing libgcc1:amd64, pre-dependency problem:  libgcc1 pre-depends on multiarch-support   multiarch-support is unpacked, but has never been configured. dpkg: error processing /var/cache/apt/archives/libgcc1_1%3a4.7.2-5_amd64.deb (–install): pre-dependency problem – not installing libgcc1:amd64 Preparing to replace libc6:amd64 2.13-38+deb7u1 (using …/libc6_2.13-38+deb7u1_amd64.deb) … dpkg: error processing /var/cache/apt/archives_old/libc6_2.13-38+deb7u1_amd64.deb […]